Summary: Optical drive speed control daemon
Name: cdsd
Version: 0.0.1
Release: 1%{dist}
License: GPLv3
Group: X11/Utilities
URL: http://linuxonly.ru
Source:	%{name}-%{version}.tar.bz2
Vendor:	Alex <alex@linuxonly.ru>
#BuildArch: x86_64

BuildRequires: pkgconfig
%define gtk3 %(pkg-config --exists 'gtk+-3.0 >= 3.0.0' && echo 1 || echo 0)

%if %gtk3
Requires: gtk3 >= 3.0.0, glib2 >= 2.28.5
BuildRequires: gtk3-devel >= 3.0.0, glib2-devel >= 2.28.5
%else
Requires: gtk2 >= 2.14.0, glib2 >= 2.18.0
BuildRequires: gtk2-devel >= 2.14.0, glib2-devel >= 2.18.0
%endif

Requires: gdbm
BuildRequires: gdbm-devel, desktop-file-utils, gettext


%description
Tool to automatically set optical drive speed

%prep
%setup -q

%build
%if %gtk3
  %if 0%{?fedora} >= 15
    %configure --init=systemd --toolkit=gtk3
  %else
    %configure --init=sysv --toolkit=gtk3
  %endif
%else
  %if 0%{?fedora} >= 15
    %configure --init=systemd --toolkit=gtk2
  %else
    %configure --init=sysv --toolkit=gtk2
  %endif
%endif
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install INSTALLPREFIX=%{buildroot}
desktop-file-install --vendor fedora --dir %{buildroot}%{_datadir}/applications --add-category X-Fedora --delete-original %{buildroot}%{_datadir}/applications/%{name}.desktop
%find_lang %{name}gui

%clean
rm -rf %{buildroot}

%post
getent group cdrom >/dev/null || groupadd -f cdrom
%if 0%{?fedora} >= 15
/bin/systemctl enable %{name}.service >/dev/null 2>&1 || :
%else
if [ $1 -eq 1 ]; then
/sbin/chkconfig --add %{name}
fi
%endif

%preun
%if 0%{?fedora} >= 15
if [ "$1" -eq "0" ] ; then
  /bin/systemctl stop %{name}.service >/dev/null 2>&1 || :
  /bin/systemctl disable %{name}.service >/dev/null 2>&1 || :
fi
%else
if [ "$1" -eq "0" ] ; then
  service %{name} stop >/dev/null 2>&1
  /sbin/chkconfig --del %{name}
fi
%endif

%postun
%if 0%{?fedora} >= 15
if [ $1 -ge 1 ] ; then
  /bin/systemctl daemon-reload >/dev/null 2>&1 || :
fi
%endif

%files -f %{name}gui.lang
%defattr(-,root,root,-)
%doc LICENSE
%doc README
%doc AUTHORS
#%doc Changelog
%{_bindir}/cdsd
%{_bindir}/cdsdgui
%{_bindir}/cdsdctl
%{_libdir}/%{name}/libcdsd.so
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/fedora-cdsd.desktop
%{_mandir}/man1/cdsd.1.gz
%{_mandir}/man1/cdsdctl.1.gz
%{_mandir}/man1/cdsdgui.1.gz
%{_mandir}/man5/cdsd.conf.5.gz
%config /etc/cdsd.conf
%if 0%{?fedora} >= 15
/lib/systemd/system/%{name}.service
%else
%{_initrddir}/%{name}
%endif


%changelog
* Mon Jun 27 2011 Alex <alex@linuxonly.ru>
- separte init scripts

* Sat May 07 2011 Alex <alex@linuxonly.ru>
- released spec

