/*
 *      datalist.h
 *      
 *      Copyright 2009 - 2011 Alex <alex@linuxonly.ru>
 *      
 *      This program is free software: you can redistribute it and/or modify
 *      it under the terms of the GNU General Public License as published by
 *      the Free Software Foundation; either version 3 of the License, or
 *      (at your option) any later version.
 *      
 *      This program is distributed in the hope that it will be useful,
 *      but WITHOUT ANY WARRANTY; without even the implied warranty of
 *      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *      GNU General Public License for more details.
 *      
 *      You should have received a copy of the GNU General Public License
 *      along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef __DATALIST_H__
#define __DATALIST_H__

struct node {
	void *data;
	struct node *nextptr;
};

typedef struct node *nodeptr;


int datalist_get_empty(nodeptr pointer);
unsigned int datalist_get_length(nodeptr pointer);
int datalist_add_node(nodeptr *pointer, char *data);
int datalist_insert_node(nodeptr *pointer, char *data, unsigned int dindex);
int datalist_remove_node(nodeptr *pointer, unsigned int dindex);
void datalist_foreach(nodeptr list, void *userdata, int(*callback(void **data, int dindex, void *userdata)));
void *datalist_get_nth(nodeptr list, unsigned int n);
void datalist_free(nodeptr *list);
void datalist_free_recursive(nodeptr *list, void *userdata, int(*callback(void **data, int dindex, void *userdata)));


#endif /* __DATALIST_H__ */
